Bug 1875470 - Allow OS and arch labels in some recording rules
Summary: Allow OS and arch labels in some recording rules
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Windows Containers
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: ravig
QA Contact: gaoshang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 14:48 UTC by ravig
Modified: 2020-09-11 17:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 919 None closed Bug 1875470: Include OS, arch labels for node, core count 2020-09-14 01:09:16 UTC

Description ravig 2020-09-03 14:48:07 UTC
Description of problem:

As OpenShift becomes heterogeneous, it is ideal to get a feel of how many nodes belong to a certain OS type, arch etc via telemetry. Especially with OpenShift supporting Windows nodes in 4.6, the Windows Containers team would like to get 
- Total number of Windows nodes used by all customers
- Total number of cores on the Windows nodes

As of now, we're missing this info in the recording rules.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.

Actual results:
No query exists today to get number of nodes based on OS type or arch.

Expected results:
Query exists to get number of nodes based on OS type and arch and we can use it in telemetry 

Additional info:

Comment 3 gaoshang 2020-09-11 14:08:52 UTC
QE testing passed by check following "Query" expressions in "Monitoring" --> "Metrics" in OCP console.

cluster:capacity_cpu_cores:sum
cluster:node_instance_type_count:sum

Version:
# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-09-10-145837   True        False         17h     Cluster version is 4.6.0-0.nightly-2020-09-10-145837

windows-machine-config-operator git commit: 38eb51cd41f5a2bcf4c2aa01c8186e23b77b9f7c


Note You need to log in before you can comment on or make changes to this bug.